Name:          cpptoml
Version:       0.4.0
Release:       1mamba
Summary:       A header-only library for parsing TOML
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/skystrife/cpptoml
## GITSOURCE https://github.com/skystrife/cpptoml.git toml-v0.4.0
Source:        https://github.com/skystrife/cpptoml.git/toml-v%{version}/cpptoml-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 cpptoml' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#makeinstall -C build

mkdir -p %{buildroot}%{_bindir}
install -m 0755 build/cpptoml-parser %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_includedir}/
install -m 0644 include/cpptoml.h %{buildroot}%{_includedir}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cpptoml-parser
%doc LICENSE

## remove this block if there's no devel files
%files devel
%defattr(-,root,root)
%{_includedir}/cpptoml.h
%doc README.md parse.cpp parse_stdin.cpp

%changelog
* Sun Mar 22 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.4.0-1mamba
- package created by autospec
